# name: configure midnight commander
# desc: configuration manifest for midnight commander module
# auth: Kai Burghardt <wiz at KaiBurghardt.de>
#  vim: set tw=140 ts=4 noet bs=eol,start,indent:

class midnight_commander::config {
	# mc.ini
	if $midnight_commander::distribute_global_mc_ini and $midnight_commander::mc_ini_path {
		file { 'mc_ini':
			ensure                        => file,
			path                          => $midnight_commander::mc_ini_path,
			content                       => template($midnight_commander::mc_ini_template),
		}
		
		if $midnight_commander::mc_ini_mode {
			File['mc_ini'] {
				mode                          => $midnight_commander::mc_ini_mode,
			}
		}
		if $midnight_commander::mc_ini_owner {
			File['mc_ini'] {
				owner                         => $midnight_commander::mc_ini_owner,
			}
		}
		if $midnight_commander::mc_ini_group {
			File['mc_ini'] {
				group                         => $midnight_commander::mc_ini_group,
			}
		}
	}
	
	# default skin
	if $midnight_commander::etc_mc_skins_default_symlink {
		file { 'etc_mc_skins':
			ensure                        => directory,
			path                          => $midnight_commander::etc_mc_skins_path,
		}
		if $midnight_commander::etc_mc_skins_mode {
			File['etc_mc_skins'] {
				mode                          => $midnight_commander::etc_mc_skins_mode,
			}
		}
		if $midnight_commander::etc_mc_skins_owner {
			File['etc_mc_skins'] {
				owner                         => $midnight_commander::etc_mc_skins_owner,
			}
		}
		if $midnight_commander::etc_mc_skins_group {
			File['etc_mc_skins'] {
				group                         => $midnight_commander::etc_mc_skins_group,
			}
		}
				
		
		File['etc_mc_skins'] -> File['etc_mc_skins_default_symlink']
		
		file { 'etc_mc_skins_default_symlink':
			ensure                        => $midnight_commander::etc_mc_skins_default_symlink ?{
				''                            => absent,
				default                       => link,
			},
			path                          => $midnight_commander::etc_mc_skins_default_path,
			target                        => $midnight_commander::etc_mc_skins_default_symlink,
			mode                          => '0777',
		}
		if $midnight_commander::etc_mc_skins_default_owner {
			File['etc_mc_skins_default_symlink'] {
				owner                         => $midnight_commander::etc_mc_skins_default_owner,
			}
		}
		if $midnight_commander::etc_mc_skins_default_group {
			File['etc_mc_skins_default_symlink'] {
				owner                         => $midnight_commander::etc_mc_skins_default_group,
			}
		}
	}
}
